package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@ApiModel
public class DrpComeAndGoCommitRefundApplyDTO {
   @ApiModelProperty("采购单号")
   private @NotBlank(
   message = "采购单号不能为空!"
) String orderGoodsId;
   @ApiModelProperty("退款金额")
   private @NotNull(
   message = "退款金额不能为空!"
) Long refundAmount;
   @ApiModelProperty("要求退款日期")
   private LocalDate requireRefundDate;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号名称")
   private String collectAccountName;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("付款银行")
   private String payBank;
   @ApiModelProperty("付款账户名称")
   private String payAccountName;
   @ApiModelProperty("付款账户")
   private String payAccount;
   @ApiModelProperty("申请备注")
   private String applyRemark;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getRefundAmount() {
      return this.refundAmount;
   }

   public LocalDate getRequireRefundDate() {
      return this.requireRefundDate;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getPayBank() {
      return this.payBank;
   }

   public String getPayAccountName() {
      return this.payAccountName;
   }

   public String getPayAccount() {
      return this.payAccount;
   }

   public String getApplyRemark() {
      return this.applyRemark;
   }

   public DrpComeAndGoCommitRefundApplyDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setRefundAmount(final Long refundAmount) {
      this.refundAmount = refundAmount;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setRequireRefundDate(final LocalDate requireRefundDate) {
      this.requireRefundDate = requireRefundDate;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setPayBank(final String payBank) {
      this.payBank = payBank;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setPayAccountName(final String payAccountName) {
      this.payAccountName = payAccountName;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setPayAccount(final String payAccount) {
      this.payAccount = payAccount;
      return this;
   }

   public DrpComeAndGoCommitRefundApplyDTO setApplyRemark(final String applyRemark) {
      this.applyRemark = applyRemark;
      return this;
   }

   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpComeAndGoCommitRefundApplyDTO(orderGoodsId=" + var10000 + ", refundAmount=" + this.getRefundAmount() + ", requireRefundDate=" + String.valueOf(this.getRequireRefundDate()) + ", collectBank=" + this.getCollectBank() + ", collectAccountName=" + this.getCollectAccountName() + ", collectAccount=" + this.getCollectAccount() + ", payBank=" + this.getPayBank() + ", payAccountName=" + this.getPayAccountName() + ", payAccount=" + this.getPayAccount() + ", applyRemark=" + this.getApplyRemark() + ")";
   }
}
